# CreateLightsailInstancesInstance Object

## Description

Instance information when creating a Lightsail instance.

## Properties

### instanceName

Name of the new Lightsail instance.

Type: `string`

Required: Yes

### staticIpName

Name of the static IP address to assign to the new Lightsail instance.

Type: `string`

Required: No

## Sample JSON

```javascript
{
    "instanceName": "instance-$(DATE)",
    "publicIpName": "my-public-ip"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/createlightsailinstancesinstance-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
